=== test/CacheDir/invalid_custom_cachedir_fixture/SConstruct ===
class CustomCacheDir:
    pass

env = Environment(tools=[])
env.CacheDir('cache', CustomCacheDir)
env.Command('file.out', 'file.in', Copy('$TARGET', '$SOURCE'))
