=== debian/changelog ===
scons (4.5.2+dfsg-2) unstable; urgency=medium

  [ Benjamin Drung <benjamin.drung@canonical.com> ]
  * Build-depend on libharfbuzz-dev for PDF generation with fop
    (closes: #1067317).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Jun 2024 13:43:27 +0200

scons (4.5.2+dfsg-1) unstable; urgency=medium

  [ Debian Janitor <janitor@jelmer.uk> ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Laszlo Boszormenyi (GCS) ]
  * New major upstream release.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 09 Oct 2023 00:58:33 +0200
