=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = SCons
SOURCEDIR     = sphinx
BUILDDIR      = ../build/doc/api
DOCTREES      = ../build/doc/api

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)"  "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile


# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXBUILD) -M $@ -d "$(DOCTREES)" "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)



# For macports need
# sudo port install texlive-latex-recommended texlive-fonts-recommended texlive-latex-extra
