=== test/CacheDir/invalid_custom_cachedir_fixture/SConstruct ===
# SPDX-License-Identifier: MIT
#
# Copyright The SCons Foundation

class CustomCacheDir:
    pass

DefaultEnvironment(tools=[])
env = Environment(tools=[])
env.CacheDir('cache', CustomCacheDir)
env.Command('file.out', 'file.in', Copy('$TARGET', '$SOURCE'))
