=== debian/changelog ===
scons (4.8.1+dfsg-1) unstable; urgency=medium

  * New major upstream release:
    - no longer uses python3-pkg-resources (closes: #1083765).
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 05 Oct 2024 13:02:20 +0200
