=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  gdc <!nocheck>,
  python3-psutil <!nocheck>,
  ldc [amd64] <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.scons.org/
 Vcs-Git: https://salsa.debian.org/debian/scons.git
